Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 586103 - Need to have an example/skeleton custom alert notification plugin
Summary: Need to have an example/skeleton custom alert notification plugin
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: jon24-alert-notify
TreeView+ depends on / blocked
 
Reported: 2010-04-26 19:54 UTC by Charles Crouch
Modified: 2015-02-01 23:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-29 15:45:26 UTC


Attachments (Terms of Use)

Description Charles Crouch 2010-04-26 19:54:42 UTC
Idea would be to have a jar, with src, which people can use as an example for their own plugins (they could copy the structure and tweak the classes). We could also use as an example for our Create/Update/Delete testing of alert notification plugins.

Comment 1 Corey Welton 2010-12-16 13:21:19 UTC
Triaged 13-Dec

Comment 2 Jay Shaughnessy 2014-05-29 15:45:26 UTC
There are plenty of examples of actual alert notif plugins, and a sample custom server-plugin in rhq/etc/samples


Note You need to log in before you can comment on or make changes to this bug.